#!/usr/bin/perl
use utf8;
BEGIN { $| = 1; }
use Cwd 'realpath';
use warnings;
use strict;
use DB_File;
use DBM_Filter;
use Encode;
use Getopt::Long;

my $root = '';
my $bindir = '';
my $etcdir = '';
my $lexdir = '';

($root) = $0 =~ /^(.*)\/[^\/]*/;
$root = realpath($root);
$ENV{DANGRAM_ROOT} = $root;
$ENV{DANGRAM_BIN} = $bindir = $root.'/bin';
$ENV{DANGRAM_ETC} = $etcdir = $root.'/etc';
$ENV{DANGRAM_LEX} = $lexdir = $root.'/lex';
$ENV{DANGRAM_USEDB} = 1;
$ENV{PATH} = $bindir.":".$ENV{PATH};
$ENV{LANGUAGE} = $ENV{LANG} = $ENV{LC_ALL} = 'en_DK.UTF-8';
$ENV{PERL_UNICODE} = 'SDAL';

my $dep = 0;
my $rop = GetOptions(
   "dep|d" => \$dep,
   );

my $cmdline = '';
$cmdline .= "$bindir/ned.pre";
$cmdline .= " | $bindir/nedmorf";
$cmdline .= " | $bindir/ned.post";
$cmdline .= " | $bindir/cg2adapt.ned";
$cmdline .= " | vislcg3 -C UTF-8 --grammar $etcdir/nedcg.morf.cg3b --sections 6";
if ($dep) {
   $cmdline .= " | $bindir/joinall.da";
}
else {
   $cmdline .= " | $bindir//cleanmorf.pre";   
}
$cmdline .= " | $bindir/cleanmorf.ned";
if ($dep) {
   $cmdline .= " | vislcg3 -C UTF-8 --grammar $etcdir/nedcg.syn.cg3b";
   $cmdline .= " | vislcg3 -C UTF-8 --grammar $etcdir/nedcg.attach.cg3b --prefix '£'";
   $cmdline .= " | $bindir/line.vislcg";
}
$cmdline .= " | $bindir/niceline.perl";
if ($dep) {
   $cmdline .= " | $bindir/uppercase.perl";
   $cmdline .= " | $bindir/remove_secondary.ned --corpus";
   $cmdline .= " | $bindir/cg2dep de";
}

#print STDERR $cmdline."\n";

open PIPE, "$cmdline|" or die $!;
while (<PIPE>) {
	print;
}
close PIPE;
